Adobe air en Ubuntu 14.04 de 64 bits

               Hace poco instalé la última versión  de Ubuntu  en mi equipo particular para testearlo. La positiva experiencia en el laboratorio del Colegio tanto en Elementary OS como  en Ubuntu 12.04 me habían dejado lo suficientemente entusiasmado para seguir conociendo los avances de esta controversial distribución. El único  detalle es que para aprovechar el máximo mi procesador decidí instalar la versión de 64 bits, lo que a la larga  significó una tremenda ganancia en el conocimiento (y en su momento, un tremendo dolor de cabeza).
             Uno de los recursos que necesitamos en el colegio requiere de una tecnología llamada adobe air. Y la empresa adobe, en su visión de futuro decidió hace tiempo ya, abandonar a los usuarios de linux a su propia suerte dejando sin soporte y actualizaciones a su programa.  Esta situación pudimos resolverla plenamente con la información publicada acá:

Sin embargo, la información contenida ahí para 64 bits, en el cambio a la versión 14.04 ya no fe suficiente.  Para solventarlo, seguimos investigando para dar finalmente con la respuesta. Hay una serie de bibliotecas que, o cambian de nombre o ya no existen en la nueva versión. Estas instrucciones resolvieron el problema de la instalación del Adobe air para 64 bits/14.04.
http://www.tkalin.com/blog_posts/installing-adobe-air-and-elance-tracker-on-ubuntu-13-10-saucy-salamander-64-bit
Aunque la entrada citada indica que es para la versión 13, los usuarios reportan (y yo confirmo) que funciona perfecto en la "cabra del Himalaya".

             Una vez que la aplicación indicó que estaba instalada correctamente, llegó el momento de  probarla. Y nada mejor que una aplicación conocida para poner a prueba el instalador:
Descargar la versión off line de Scratch, clic derecho para seleccionar
"Instalar con adobe air installer"
 Todo parece ir bien.... pero..... error. La instalación se cortó abruptamente con un críptico error #5100.  Ya habíamos llegado hasta aquí, no ibamos a fallar tan cerca de ver la luz. Un poco  de googleo indica que es un error genérico. Un par de enlaces más abajo, la solución.
http://www.piensaenbinario.com/2010/05/solucionar-error-5100-en-aplicaciones.html
 Desfasada, referida a otra distro pero funcional. La pista clave es que un segundo antes de fallar, se desplegó un cuadro de dialogo pidiendo contraseña de root desde la carpeta temporal donde se estaba descomprimiendo provisoriamente la aplicación. Pareciera que el problema era solo permisos de usuario para ejecutar la aplicación, pues para instalar la aplicación Scratch.air con el instalador de adobe air 2.6  fue suficiente con la sgte. linea:
1.-   #sudo su

2.- #Adobe\ AIR\ Application\ Installer /home/pato/Descargas/Scratch.air
Y magicamente, se abre la pantalla de scratch.

Bueno, ahora vamos por los libros digitales de Enlaces. 
Paso 1.-  sudo su
Paso 2.-  Adobe\ AIR\ Application\ Installer /home/pato/Descargas/tecnologia6.air
 Después de un rato..... y otro rato....   y un poco mas...
finalmente, se abre la primera página del libro digital :)
peeero, algo pasa. Esta instalación la realize 20 o mas veces en el colegio, nunca demoró tanto, y cuando se iniciaba...siempre con una musiquilla característica, que ahora no estaba. Veamos, parlantes activados, sonido funcionando en otra aplicación. Ok, volvamos al terminal,
ALSA lib conf.c:3314:(snd_config_hooks_call) Cannot open shared library libasound_module_conf_pulse.so
ALSA lib pcm.c:2239:(snd_pcm_open_noupdate) Unknown PCM default
ALSA lib pcm_dmix.c:1022:(snd_pcm_dmix_open) unable to open slave
Cannot open shared library libasound_module_conf_pulse.so

Aquí vamos otra vez. Googleo el error, y la pista es clara, otra vez una librería se ha extraviado en el camino. En este caso, una capa de compatibilidad con ALSA de pulse audio. Vamos, ya hemos lidiado con este tipo de errores antes, no puede ser tan grave.

Lanzamos la aplicación desde el directorio donde la instalamos:
 ./Tecnologia\ 6
Y nuevamente vemos el error.

.....working in process

Despues de un reinicio, la solución para el problema del pulse audio (que tb se produce con otras ilustres aplicaciones, como la ubicua skype) fué:

sudo apt-get install libasound2-plugins:i386 
y ahora si, la aplicación es lanzada con la voz de los personajes, como estabamos acostumbrados.
 Aún quedan un par de errores por resolver, pero la aplicación ya esta funcionando.

Los errores que están pendientes son referidos a un par de módulos GTK que no se pudieron cargar. 

La solución estuvo instalando estas dependencias.
 




  















Para comer pescado, hay que tener mucho cuidado. El hecho de probar una versión de 64 bits ha sido una lección muy enriquecedora. No recomendable para personas con poca tolerancia a la frustración, o con poco tiempo. Recuerdo que este proceso para la versión de 32 bits tanto en Elementary OS como en Ubuntu 12.04 funciona casi automaticamente, una vez instalado el adobe air installer.


apt-get download overlay-scrollbar-gtk2
sudo dpkg --ignore-depends overlay-scrollbar -i overlay-scrollbar-gtk2*.deb

Y finalmente, un pequeño error en las librerias gtk impedía que se pudieran ver
 las películas embebidas, solucionado con la información contenida acá:
http://domatix.com/solucion-error-gtk-warning-pixmap/ 

sudo apt-get install gtk2-engines-pixbuf


   Conclusión

 





Comentarios

yo&yo dijo…
Gracias, con esta ayuda instale Scratch.
A cambio de Adobe\ AIR\ Application\ Installer /home/pato/Descargas/Scratch.air, yo doy sudo nautilus y doble clic a scratch.air
yo&yo dijo…
Gracias por la información, con esta logre instalar Scratch.
A cambio de Adobe\ AIR\ Application\ Installer /home/pato/Descargas/Scratch.air yo doy sudo nautilus y doble clic a Scratch.air.

Entradas más populares de este blog

Pizarra digital Mimio en Ubuntu 14.04

REnpy. Probando software para creación de historias.